module inc4(out, in);
   parameter width =32, prop = 12;
   input [width-1:0]  in;   // The value to be incremented.
   output [width-1:0] out;  // The incremented result.
   
   reg [width-1:0]    out;
   
   initial
     out=0;
   
   always@(in)
     begin	
	/* This simulates the propogation delay required to increment the value */		
        #(prop)  out =  in + 4;	
     end   
endmodule // inc4
