module oscillator(clk, clk_n);
   parameter cycle = 200;
   output clk;   // The CPU clock.
   output clk_n; // The inverse of the clk.
   
   reg 	  clock;
   
   assign clk=clock;
   assign clk_n= ~clock;
   
   initial
     clock = 1;
   
   always
     begin
	#(cycle/2) clock=~clock;
     end   
endmodule // oscillator

